List Actions
List resource actions.
List resource actions.
Request
URI
GET
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/form-service/api/custom/resource-actions
COPY
Query Parameters
string
runnableId
Optional
runnableId
integer
page
Optional
Constraints:
default: 0
Zero-based page index (0..N)
integer
size
Optional
Constraints:
default: 20
The size of the page to be returned
string of
array
sort
Optional
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Responses
200
'Success' with page of ResourceActions
Returns
PageResourceAction
of type(s)
*/*
{
"totalElements": 0,
"totalPages": 0,
"pageable": {
"paged": false,
"pageNumber": 0,
"pageSize": 0,
"offset": 0,
"sort": {
"sorted": false,
"empty": false,
"unsorted": false
},
"unpaged": false
},
"size": 0,
"content": [
{
"id": "string",
"name": "string",
"displayName": "string",
"description": "string",
"providerName": "string",
"resourceType": "string",
"status": "string",
"projectId": "string",
"orgId": "string",
"runnableItem": {
"id": "string",
"name": "string",
"description": "string",
"projectId": "string",
"type": "string",
"inputParameters": [
{
"type": "string",
"name": "string",
"description": "string"
}
],
"outputParameters": [
{
"type": "string",
"name": "string",
"description": "string"
}
],
"endpointLink": "string",
"inputBindings": [
{
"inputKey": "string",
"value": "string",
"type": {
"dataType": "string",
"referenceType": "string",
"fields": [
{
"label": "string",
"description": "string",
"signpost": "string",
"type": "FormSchemaFieldType Object",
"step": "number",
"default": {},
"valueList": {},
"placeholder": "string",
"constraints": {
"matchConstraint": {
"match": {}
},
"constraints": {
"constraints": {}
}
},
"refresh": {
"type": "string"
},
"shortValueName": [
"string"
],
"id": "string",
"valueTree": {}
}
],
"isMultiple": false
},
"bindingAction": {
"actionName": "string",
"actionInputs": [
"Binding Object"
]
}
}
]
},
"formDefinition": {
"tenant": "string",
"id": "string",
"name": "string",
"form": "string",
"styles": "string",
"sourceType": "string",
"sourceId": "string",
"type": "string",
"status": "string",
"createdDate": "string",
"modifiedDate": "string",
"formFormat": "string",
"providerRef": "string",
"externalSourceFormSchemas": [
{
"externalSourceId": "string",
"parentId": "string",
"elementId": "string",
"elementType": "string",
"facet": "string",
"parameters": [
{
"validatable": false,
"name": "string",
"isValidatable": false
}
]
}
]
},
"criteria": {
"matchExpression": [
{}
]
}
}
],
"number": 0,
"sort": {
"sorted": false,
"empty": false,
"unsorted": false
},
"numberOfElements": 0,
"first": false,
"last": false,
"empty": false
}
403
'Forbidden' no resource actions viewer access rights
Operation doesn't return any data structure
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/form-service/api/custom/resource-actions
Resource Actions Operations
GET
List Actions
POST
Create Or Update Resource Action
POST
Generate Elements Runnable Item
POST
Get Resource Action Form Data
POST
Get External Value
POST
List External Values
POST
Lookup External Resources
GET
Get Resource Action
DELETE
Delete Resource Action
GET
Get Action Runnable Item
GET
Get Action Form
GET
Get Binding Action